
public class RadnaOrganizacijaException extends Exception {
	public enum TipGreske {
		ZAPOSLJAVANJE,
		OTPUSTANJE
	}
	
	private TipGreske t;
	private String opis;
	
	public RadnaOrganizacijaException(TipGreske t, String opis) {
		super(opis);
		this.opis = opis;
		this.t = t;
	}
	
	public TipGreske getTipGreske() {
		return t;
	}
	
	public String opisGreske() {
		if (t == TipGreske.ZAPOSLJAVANJE) {
			return "Greska kod zaposljavanja: " + opis; 
		} else {
			return "Greska kod otpustanja: " + opis;
		}
	}	
}
