import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ReadTxtFile {
	public static void printFile(String imeFajla) {
		BufferedReader br = null;
		try {
			br = new BufferedReader(new FileReader(imeFajla));
			String s;
			while ((s = br.readLine()) != null) {
				System.out.println(s);
			}
		} catch (FileNotFoundException fnfe) {
			System.out.println("Fajl " + imeFajla + " ne postoji");
		} catch (IOException ioe) {
			System.out.println("Greska prilikom citanja fajla " + imeFajla);
		} finally {
			if (br != null) {
				try {
					br.close();
				} catch (IOException ioe) {
					System.out.println("Greska prilikom zatvaranja fajla " + imeFajla);
				}
			}
		}
	}
	
	public static void main(String[] args) {
		printFile("FirmaAkcijesdf.txt");
	}
}
